Package org.pushingpixels.substance.internal.utils.border

# Class SubstancePaneBorder

java.lang.Object
javax.swing.border.AbstractBorder
org.pushingpixels.substance.internal.utils.border.SubstancePaneBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

public class SubstancePaneBorder extends AbstractBorder implements UIResource
Root pane and internal frame border in Substance look and feel. This class is for internal use only.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SubstancePaneBorder()`

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`Insets`
`getBorderInsets(Component c, Insets newInsets)`
`static DecorationAreaType`
`getRootPaneType(JRootPane rootPane)`
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int w, int h)`
`void`
`paintRoundedBorder(Component c, Graphics g, int x, int y, int w, int h)`
`void`
`paintSquareBorder(Component c, Graphics g, int x, int y, int w, int h)`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstancePaneBorder

public SubstancePaneBorder()

## Method Details

### getRootPaneType

public static DecorationAreaType getRootPaneType(JRootPane rootPane)

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int w, int h)

Specified by:
  `paintBorder` in interface `Border`
Overrides:
  `paintBorder` in class `AbstractBorder`

### paintSquareBorder

public void paintSquareBorder(Component c, Graphics g, int x, int y, int w, int h)

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`
Overrides:
  `getBorderInsets` in class `AbstractBorder`

### getBorderInsets

public Insets getBorderInsets(Component c, Insets newInsets)

Overrides:
  `getBorderInsets` in class `AbstractBorder`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`
Overrides:
  `isBorderOpaque` in class `AbstractBorder`

### paintRoundedBorder

public void paintRoundedBorder(Component c, Graphics g, int x, int y, int w, int h)